@echo off
echo Installing Terasense software.
echo This batch file will install the following software:
echo Python v2.7.5 with packages Numpy, OpenCV, Pyserial, and wxPython
echo Microsoft Visual C++ Redistirbutable 2010
echo Terasense software package for TeraFAST device including drivers for Opal Kelly XEM6001 controller
echo Press any key to proceed or Ctrl-C to cancel.
pause 
echo Please, do not close the window!

setlocal
REM Edit this line if you need to install Python in other location.
set TARGET=%SystemDrive%\Python27




for /f %%i in ('dir /b %TERASENSE_PATTERN%') do set TERASENSE=%%i

set PYTHON=python-2.7.15.msi
REM Required packages
set six=six-1.11.0-py2.py3-none-any.whl 
set numpy=numpy-1.14.3-cp27-none-win32.whl 
set pyserial=pyserial-3.4-py2.py3-none-any.whl 
set opencv=opencv_python-3.4.0.12-cp27-cp27m-win32.whl 
set wxPython=wxPython-4.0.1-cp27-cp27m-win32.whl

cd prerequisites
msiexec /qr /i %PYTHON% TARGETDIR=%TARGET% ADDLOCAL=ALL
%TARGET%\Scripts\pip.exe install %six% %pyserial% %numpy% %opencv% %wxPython%

set TERASENSE_PATTERN="TeraFAST-?.?.??.win32.exe"
set OKDRIVER_PATTERN="FrontPanelUSB-DriverOnly-*.exe"

cd ..\driver
for /f %%i in ('dir /b %OKDRIVER_PATTERN%') do set OKDRIVER=%%i
"%OKDRIVER%"

cd ..
for /f %%i in ('dir /b %TERASENSE_PATTERN%') do set TERASENSE=%%i
"%TERASENSE%"

endlocal

echo All done!
pause
